> For the complete documentation index, see [llms.txt](https://docs.pakk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pakk.io/data-and-integrations/api/integrations.md).

# Integrations

Before you can authenticate to the API, you'll need to create an Integration in your Pakk account.

* Go to `Account Settings > Integrations` and add a new *Integration* to the Integeration Registry
* *Integrations* are meant to be wrappers for API projects, so name each integration appropriately, e.g., "orders-to-warehouse" or "price-updater"
* Once you have an integration set up, you can generate one or more *API Keys* for that integration
* Deleting an integration will delete the integration, all its API keys (see below) and all of the *Key-Value* data it may have written to the database (see below)
* If you need to temporarily disable an integration (rather than permanently deleting it), uncheck `Enabled` next to the integration you wish to disable
* If you need to stop an integration writing to the 'key-value store', you can uncheck `Allow Write Data`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pakk.io/data-and-integrations/api/integrations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
